DRM_AV_SYNC_DELAY(9)

NAME
drm_av_sync_delay - compute the HDMI/DP sink audio-video sync delay

SYNOPSIS

int drm_av_sync_delay(struct drm_connector * connector, struct drm_display_mode * mode);

ARGUMENTS

connector
    connector associated with the HDMI/DP sink

mode
    the display mode

RETURN

The HDMI/DP sink's audio-video sync delay in milliseconds or 0 if the sink doesn't support audio or video.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT